$(document).ready(function() {

    // Projects Done chart 

    var options = {
        series: [
          {
            name: "Product 1",
            data: [100, 250, 400, 250, 200, 250, 180],
          },
          {
            name: "Product 2",
            data: [180, 350, 150, 250, 350, 100, 360],
          },
        ],
        chart: {
          height: 350,
          type: "area",
          zoom: {
            enabled: false, // Disable zooming
          },
          toolbar: {
            show: false, // Hide the toolbar with zoom and download controls
          },
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          curve: "smooth",
          width: 2,
          colors: ["#5051F9", "#1EA7FF"], // Set the border colors to match fill colors
        },
        xaxis: {
          type: "category",
          categories: [
            "Monday",
            "Tuesday",
            "Wednesday",
            "Thursday",
            "Friday",
            "Saturday",
            "Sunday",
          ],
        },
        tooltip: {
          x: {
            format: "dd/MM/yy HH:mm",
          },
        },
        fill: {
          colors: ["#5051F9", "#1EA7FF"], // Specify the fill colors
        },
        theme: {
          monochrome: {
            markers: {
              fillColors: ["#000", "#ff0000"], // Set the hover dot and series dot fill colors to match fill colors
            },
            legend: {
              markers: {
                fillColors: ["#000", "#ff0000"], // Set the legend marker fill colors to match fill colors
              },
            },
          },
        },
        legend: {
          markers: {
            width: 12,
            height: 12,
            strokeWidth: 0,
            strokeColor: "#fff",
            fillColors: "#ff0000",
            radius: 12,
            customHTML: undefined,
            onClick: undefined,
            offsetX: 0,
            offsetY: 0,
          },
        },
      };
      if($("#chart").length > 0) {
        var chart = new ApexCharts(document.querySelector("#chart"), options);
        chart.render();
      }
    // Projects Done chart 
});