// Data for the chart
var chartData = {
  series: [30, 20, 25, 15],
  labels: ["Product 1", "Product 2", "Product 3", "Product 4"],
};

// Configuration for the chart
var chartOptions = {
  chart: {
    type: "donut",
  },
  series: chartData.series,
  labels: chartData.labels,
  colors: ["#6CC7E4", "#334288", "#6572E9", "#6E3FAB"], // Specify custom colors here
  legend: {
    show: false,
    position: "bottom", // Set the position of the legend
  },
  dataLabels: {
    enabled: false, // Disable the data labels
  },
  plotOptions: {
    pie: {
      donut: {
        labels: {
          show: true,
          value: {
            show: true,
            fontSize: "16px",
            fontFamily: "Helvetica, Arial, sans-serif",
            fontWeight: 400,
            color: undefined,
            offsetY: 8,
            formatter: function (val) {
              return val;
            },
          },
          name: {
            show: true,
            fontSize: "16px",
            fontFamily: "Helvetica, Arial, sans-serif",
            fontWeight: 600,
            color: "#373d3f",
            offsetY: -15,
            formatter: function (val) {
              return val;
            },
          },
        },
        dataLabels: {
          offset: 0,
          minAngleToShowLabel: 10,
        },
      },
      stroke: {
        show: false, // Remove the border stroke
      },
    },
  },
};

// Create the chart
var chart = new ApexCharts(document.querySelector("#donutChart"), chartOptions);
chart.render();

// colors: ["#6CC7E4", "#334288", "#6572E9", "#6E3FAB"], // Specify custom colors here
// donutChart
