// Polar Area Chart
var polarAreaCtx = document.getElementById("polar-area-chart").getContext("2d");
var polarAreaData = {
  datasets: [
    {
      data: [10, 20, 15, 5],
      backgroundColor: [
        "rgba(108, 199, 228, 1)",
        "rgba(101, 114, 233, 1)",
        "rgba(51, 66, 136, 1)",
        "rgba(110, 63, 171, 1)",
      ],
      borderColor: [
        "rgba(108, 199, 228, 1)",
        "rgba(101, 114, 233, 1)",
        "rgba(51, 66, 136, 1)",
        "rgba(110, 63, 171, 1)",
      ],
      borderWidth: 1,
    },
  ],
  labels: ["Product 1", "Product 2", "Product 3", "Product 4"],
};
var polarAreaConfig = {
  type: "polarArea",
  data: polarAreaData,
  options: {
    responsive: true,
    scale: {
      ticks: {
        beginAtZero: true,
      },
    },
    plugins: {
      legend: {
        display: false,
        position: "bottom", // Set the position to "bottom"
      },
    },
  },
};

new Chart(polarAreaCtx, polarAreaConfig);

// Stacked Bar Chart
var stackedBarCtx = document.getElementById("stackedChart").getContext("2d");
var stackedBarData = {
  labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
  datasets: [
    {
      label: "Product 1",
      data: [-15, 45, 18, -18, 5],
      borderColor: "#F765A3",
      backgroundColor: "#FFA5CB",
    },
    {
      label: "Product 2",
      data: [20, -45, 25, -20, 15],
      borderColor: "#A155B9",
      backgroundColor: "#E697FF",
    },
    {
      label: "Product 3",
      data: [9, -19, 22, -10, 5],
      borderColor: "#165BAA",
      backgroundColor: "#63ABFD",
    },
  ],
};

var stackedBarConfig = {
  type: "bar",
  data: stackedBarData,
  options: {
    indexAxis: "y",
    responsive: true,
    maintainAspectRatio: false, // Disable aspect ratio
    plugins: {
      legend: {
        display: false,
        position: "bottom",
      },
    },
    scales: {
      y: {
        beginAtZero: true,
      },
    },
    height: "100%", // Set the height to 100%
  },
};

new Chart(stackedBarCtx, stackedBarConfig);
