var options = {
  chart: {
    height: 350,
    type: "line",
    stacked: false,
    toolbar: {
      show: false, // Hide the toolbar
    },
  },
  colors: ["#334288", "#6E3FAB"], // Custom colors for the series
  series: [
    {
      name: "Product 1",
      type: "column",
      data: [-60, 50, -20, 20, 60, 30],
    },
    {
      name: "Product 2",
      type: "line",
      data: [-10, 30, -10, 10, 30, 20],
    },
  ],
  stroke: {
    width: [0, 4],
  },
  plotOptions: {
    bar: {
      columnWidth: "50%",
    },
  },
  xaxis: {
    categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
  },
  yaxis: {
    seriesName: "Product 1",
  },
  legend: {
    show: false, // Display the legend
    markers: {
      fillColors: ["#165BAA"], // Customize the legend marker color to match the series color
    },
  },
};

var options2 = {
  chart: {
    height: 350,
    type: "line",
    stacked: false,
    toolbar: {
      show: false, // Hide the toolbar
    },
  },
  colors: ["#334288", "#6E3FAB"], // Custom colors for the series
  series: [
    {
      name: "Product 1",
      type: "column",
      data: [60, 60, 20, 40, 80, 60],
    },
    {
      name: "Product 2",
      type: "line",
      data: [55, 70, 20, 60, 90, 70],
    },
  ],
  stroke: {
    width: [0, 4],
  },
  plotOptions: {
    bar: {
      columnWidth: "50%",
    },
  },
  xaxis: {
    categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
  },
  yaxis: {
    seriesName: "Product 1",
  },
  legend: {
    show: false, // Display the legend
    markers: {
      fillColors: ["#165BAA"], // Customize the legend marker color to match the series color
    },
  },
};

var options3 = {
  chart: {
    type: "bar",
    height: "100%", // Set chart height to 100%
    toolbar: {
      show: false,
    },
  },
  plotOptions: {
    bar: {
      dataLabels: {
        enabled: false, // Disable data labels on the bars
      },
    },
  },
  series: [
    {
      name: "Data",
      data: [-60, 20, 10, -25, 8, 62],
      color: "#165BAA", // Change the color to red (hex code or color name)
    },
  ],
  xaxis: {
    categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
  },
  yaxis: {
    labels: {
      show: true, // Display labels on the y-axis
      formatter: function (val) {
        return val;
      },
    },
  },
  legend: {
    show: false, // Display the legend
    markers: {
      fillColors: ["#165BAA"], // Customize the legend marker color to match the series color
    },
  },
};

var chart1 = new ApexCharts(document.querySelector("#splineChart1"), options);
chart1.render();

var chart2 = new ApexCharts(document.querySelector("#splineChart2"), options2);
chart2.render();

var chart2 = new ApexCharts(document.querySelector("#splineChart3"), options3);
chart2.render();

// splineChart     categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
